Bug 848417 - RFE: for domain security model of Winbind accounts, try to get DC address from SRV records
RFE: for domain security model of Winbind accounts, try to get DC address fro...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: authconfig (Show other bugs)
6.4
Unspecified Unspecified
medium Severity medium
: beta
: 6.4
Assigned To: Tomas Mraz
BaseOS QE - Apps
: FutureFeature
Depends On: 848407
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 10:18 EDT by David Jaša
Modified: 2016-08-11 07:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-11 07:08:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jaša 2012-08-15 10:18:25 EDT
Description of problem:
for domain security model of Winbind accounts, try to get DC address from SRV records.

AD Domain Controllers require setting of SRV records _ldap._tcp.<DNSDomainName> so it can be leveraged in authconfig to find out AD host name automatically (instead of forcing user to type it) - once bug 848407 is implemented

Version-Release number of selected component (if applicable):
authconfig-6.1.12-10.el6.x86_64

How reproducible:
always

Steps to Reproduce:
A. fill domain FQDN to Windbind Domain field in authconfig-gtk

B. use authconfig option --smbworkgroup <Domain_FQDN> without --smbservers option
  
Actual results:
A: user has to type DC address separately
B: such setup won't authenticae

Expected results:
A: DC address field is pre-filled based on the SRV record value
B1: authconfig finds DC name and passes correct values to underlying services
B2: rhel can authenticate

Additional info:
Comment 3 RHEL Product and Program Management 2013-10-13 20:31:25 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 4 Tomas Mraz 2016-08-11 07:08:34 EDT
I am sorry but we are not going to implement this feature in RHEL-6.

Note You need to log in before you can comment on or make changes to this bug.